Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Class DesktopWithoutContainer

    java.lang.Object
      madkit.desktop2.DesktopWithoutContainer

All Implemented Interfaces:
  java.awt.event.WindowListener, java.util.EventListener, Desktop

    public class DesktopWithoutContainer

extends java.lang.Object
implements Desktop, java.awt.event.WindowListener

Field Summary
`protected madkit.desktop2.AgentInfo` | `ai`
`protected boolean` | `bool`
`protected DesktopAgentGUI` | `desktopAgentGUI`
`protected javax.swing.JFrame` | `frame`
`protected java.util.HashMap` | `frames`
`protected StartMenu` | `startMenu`
`protected madkit.desktop2.WindowManager` | `wm`

Constructor Summary
`DesktopWithoutContainer()`

Method Summary
`void` | `addComponent(madkit.desktop2.AgentInfo _ai, java.awt.Component c)`
`void` | `addIcon(IconInfo iconInfo)`
`void` | `addMenuSystem(javax.swing.JMenuItem menuSystem)`
`protected void` | `addToStartMenu(javax.swing.JMenu menu, madkit.desktop2.MenuInfo menuInfo)`
`protected void` | `createStartMenu(java.util.LinkedList menuInfos)`
`void` | `dispose()`
`int` | `getHeight()`
`java.awt.Component` | `getTopComponent()`
`int` | `getWidth()`
`void` | `init(madkit.desktop2.AgentInfo ai, java.util.LinkedList menuInfos, DesktopAgentGUI desktopAgentGUI)`
`void` | `removeComponent(java.awt.Component c)`
`void` | `removeIcon(IconInfo icon)`
`void` | `setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)`
`void` | `show()`
`void` | `toBack(java.awt.Component c)`
`void` | `toFront(java.awt.Component c)`
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frames

    protected java.util.HashMap frames

### ai

    protected madkit.desktop2.AgentInfo ai

### startMenu

    protected StartMenu startMenu

### frame

    protected javax.swing.JFrame frame

### desktopAgentGUI

    protected DesktopAgentGUI desktopAgentGUI

### bool

    protected boolean bool

### wm

    protected madkit.desktop2.WindowManager wm

Constructor Detail

### DesktopWithoutContainer

    public DesktopWithoutContainer()

Method Detail

### init

    public void init(madkit.desktop2.AgentInfo ai,
                     java.util.LinkedList menuInfos,
                     DesktopAgentGUI desktopAgentGUI)

  Specified by:
    `init` in interface `Desktop`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `Desktop`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `Desktop`

### createStartMenu

    protected void createStartMenu(java.util.LinkedList menuInfos)

### addToStartMenu

    protected void addToStartMenu(javax.swing.JMenu menu,
                                  madkit.desktop2.MenuInfo menuInfo)

### addMenuSystem

    public void addMenuSystem(javax.swing.JMenuItem menuSystem)

  Specified by:
    `addMenuSystem` in interface `Desktop`

### addIcon

    public void addIcon(IconInfo iconInfo)

  Specified by:
    `addIcon` in interface `Desktop`

### removeIcon

    public void removeIcon(IconInfo icon)

  Specified by:
    `removeIcon` in interface `Desktop`

### setProperty

    public void setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)

  Specified by:
    `setProperty` in interface `Desktop`

### toFront

    public void toFront(java.awt.Component c)

  Specified by:
    `toFront` in interface `Desktop`

### toBack

    public void toBack(java.awt.Component c)

  Specified by:
    `toBack` in interface `Desktop`

### addComponent

    public void addComponent(madkit.desktop2.AgentInfo _ai,
                             java.awt.Component c)

  Specified by:
    `addComponent` in interface `Desktop`

### removeComponent

    public void removeComponent(java.awt.Component c)

  Specified by:
    `removeComponent` in interface `Desktop`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Desktop`

### getTopComponent

    public java.awt.Component getTopComponent()

  Specified by:
    `getTopComponent` in interface `Desktop`

### show

    public void show()

  Specified by:
    `show` in interface `Desktop`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.